SUSE: 2022:4140-1 important: grub2 | LinuxSecurity.com

   SUSE Security Update: Security update for grub2
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:4140-1
Rating:             important
References:         #1205178 #1205182 
Cross-References:   CVE-2022-2601 CVE-2022-3775
CVSS scores:
                    CVE-2022-2601 (SUSE): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-3775 (SUSE): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise Server 15-LTSS
                    SUSE Linux Enterprise Server for SAP 15
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for grub2 fixes the following issues:

   - CVE-2022-2601: Fixed buffer overflow in grub_font_construct_glyph
     (bsc#1205178).
   - CVE-2022-3775: Fixed integer underflow in blit_comb() (bsc#1205182).

   Other:

   - Bump upstream SBAT generation to 3


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-4140=1

   - SUSE Linux Enterprise Server 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-2022-4140=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4140=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4140=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):

      grub2-2.02-150000.122.17.1
      grub2-debuginfo-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le):

      grub2-powerpc-ieee1275-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server for SAP 15 (noarch):

      grub2-snapper-plugin-2.02-150000.122.17.1
      grub2-systemd-sleep-plugin-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server for SAP 15 (x86_64):

      grub2-debugsource-2.02-150000.122.17.1
      grub2-i386-pc-2.02-150000.122.17.1
      grub2-x86_64-efi-2.02-150000.122.17.1
      grub2-x86_64-xen-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):

      grub2-2.02-150000.122.17.1
      grub2-debuginfo-2.02-150000.122.17.1
      grub2-debugsource-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64):

      grub2-arm64-efi-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server 15-LTSS (noarch):

      grub2-snapper-plugin-2.02-150000.122.17.1
      grub2-systemd-sleep-plugin-2.02-150000.122.17.1

   - SUSE Linux Enterprise Server 15-LTSS (s390x):

      grub2-s390x-emu-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):

      grub2-2.02-150000.122.17.1
      grub2-debuginfo-2.02-150000.122.17.1
      grub2-debugsource-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64):

      grub2-arm64-efi-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (noarch):

      grub2-snapper-plugin-2.02-150000.122.17.1
      grub2-systemd-sleep-plugin-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64):

      grub2-i386-pc-2.02-150000.122.17.1
      grub2-x86_64-efi-2.02-150000.122.17.1
      grub2-x86_64-xen-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):

      grub2-2.02-150000.122.17.1
      grub2-debuginfo-2.02-150000.122.17.1
      grub2-debugsource-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64):

      grub2-arm64-efi-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (noarch):

      grub2-snapper-plugin-2.02-150000.122.17.1
      grub2-systemd-sleep-plugin-2.02-150000.122.17.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64):

      grub2-i386-pc-2.02-150000.122.17.1
      grub2-x86_64-efi-2.02-150000.122.17.1
      grub2-x86_64-xen-2.02-150000.122.17.1


References:

   https://www.suse.com/security/cve/CVE-2022-2601.html
   https://www.suse.com/security/cve/CVE-2022-3775.html
   https://bugzilla.suse.com/1205178
   https://bugzilla.suse.com/1205182

SUSE: 2022:4140-1 important: grub2

November 21, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for grub2 fixes the following issues: - CVE-2022-2601: Fixed buffer overflow in grub_font_construct_glyph (bsc#1205178). - CVE-2022-3775: Fixed integer underflow in blit_comb() (bsc#1205182). Other: - Bump upstream SBAT generation to 3 Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Server for SAP 15: zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-4140=1 - SUSE Linux Enterprise Server 15-LTSS: zypper in -t patch SUSE-SLE-Product-SLES-15-2022-4140=1 - SUSE Linux Enterprise High Performance Computing 15-LTSS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4140=1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4140=1 Package List: - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64): grub2-2.02-150000.122.17.1 grub2-debuginfo-2.02-150000.122.17.1 - SUSE Linux Enterprise Server for SAP 15 (ppc64le): grub2-powerpc-ieee1275-2.02-150000.122.17.1 - SUSE Linux Enterprise Server for SAP 15 (noarch): grub2-snapper-plugin-2.02-150000.122.17.1 grub2-systemd-sleep-plugin-2.02-150000.122.17.1 - SUSE Linux Enterprise Server for SAP 15 (x86_64): grub2-debugsource-2.02-150000.122.17.1 grub2-i386-pc-2.02-150000.122.17.1 grub2-x86_64-efi-2.02-150000.122.17.1 grub2-x86_64-xen-2.02-150000.122.17.1 - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x): grub2-2.02-150000.122.17.1 grub2-debuginfo-2.02-150000.122.17.1 grub2-debugsource-2.02-150000.122.17.1 - SUSE Linux Enterprise Server 15-LTSS (aarch64): grub2-arm64-efi-2.02-150000.122.17.1 - SUSE Linux Enterprise Server 15-LTSS (noarch): grub2-snapper-plugin-2.02-150000.122.17.1 grub2-systemd-sleep-plugin-2.02-150000.122.17.1 - SUSE Linux Enterprise Server 15-LTSS (s390x): grub2-s390x-emu-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64): grub2-2.02-150000.122.17.1 grub2-debuginfo-2.02-150000.122.17.1 grub2-debugsource-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64): grub2-arm64-efi-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (noarch): grub2-snapper-plugin-2.02-150000.122.17.1 grub2-systemd-sleep-plugin-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64): grub2-i386-pc-2.02-150000.122.17.1 grub2-x86_64-efi-2.02-150000.122.17.1 grub2-x86_64-xen-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64): grub2-2.02-150000.122.17.1 grub2-debuginfo-2.02-150000.122.17.1 grub2-debugsource-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64): grub2-arm64-efi-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (noarch): grub2-snapper-plugin-2.02-150000.122.17.1 grub2-systemd-sleep-plugin-2.02-150000.122.17.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64): grub2-i386-pc-2.02-150000.122.17.1 grub2-x86_64-efi-2.02-150000.122.17.1 grub2-x86_64-xen-2.02-150000.122.17.1

References

#1205178 #1205182

Cross- CVE-2022-2601 CVE-2022-3775

CVSS scores:

CVE-2022-2601 (SUSE): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H

CVE-2022-3775 (SUSE): 6.4 CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-ESPOS

SUSE Linux Enterprise High Performance Computing 15-LTSS

SUSE Linux Enterprise Server 15-LTSS

SUSE Linux Enterprise Server for SAP 15

https://www.suse.com/security/cve/CVE-2022-2601.html

https://www.suse.com/security/cve/CVE-2022-3775.html

https://bugzilla.suse.com/1205178

https://bugzilla.suse.com/1205182

Severity
Announcement ID: SUSE-SU-2022:4140-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.